package com.zanxiang.common.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author wcc
 * @Date 2021/3/31 18:29
 * @Version 1.0
 * @Description
 */
public class MimeMapUtil {
    private static final Map<String, String> MIME_MAPPING = new HashMap<>();

    static {
        // 文档
        MIME_MAPPING.put("application/vnd.openxmlformats-officedocument.wordprocessingml.document", "docx");
        MIME_MAPPING.put("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", "xlsx");
        MIME_MAPPING.put("application/vnd.openxmlformats-officedocument.presentationml.presentation", "pptx");
        MIME_MAPPING.put("application/msword", "doc");
        MIME_MAPPING.put("application/vnd.ms-excel", "xls");
        MIME_MAPPING.put("application/vnd.ms-powerpoint", "ppt");
        MIME_MAPPING.put("application/pdf", "pdf");

        // 视频
        MIME_MAPPING.put("video/mp4", "mp4");
        MIME_MAPPING.put("video/3gpp", "3gp");
        MIME_MAPPING.put("video/mpeg", "mpeg");
        MIME_MAPPING.put("video/webm", "webm");
        MIME_MAPPING.put("video/x-flv", "flv");
        MIME_MAPPING.put("video/x-m4v", "m4v");
        MIME_MAPPING.put("video/x-ms-wmv", "wmv");
        MIME_MAPPING.put("video/x-msvideo", "avi");

        // 音频
        MIME_MAPPING.put("audio/mp3", "mp3");
        MIME_MAPPING.put("audio/midi", "mid");
        MIME_MAPPING.put("audio/ogg", "ogg");
        MIME_MAPPING.put("audio/x-m4a", "m4a");
        MIME_MAPPING.put("audio/m4a", "m4a");
        MIME_MAPPING.put("audio/mpeg", "mp3");
        MIME_MAPPING.put("audio/x-realaudio", "ra");

        // 文本
        MIME_MAPPING.put("text/html", "html");
        MIME_MAPPING.put("text/plain", "txt");
        MIME_MAPPING.put("application/rtf", "rtf");

        // 压缩文件
        MIME_MAPPING.put("application/x-7z-compressed", "7z");
        MIME_MAPPING.put("application/x-rar-compressed", "rar");
        MIME_MAPPING.put("application/zip", "zip");
        MIME_MAPPING.put("application/x-zip-compressed", "zip");
        MIME_MAPPING.put("application/x-gzip", "gz");

        // 图片
        MIME_MAPPING.put("image/jpeg", "jpg");
        MIME_MAPPING.put("image/jpg", "jpg");
        MIME_MAPPING.put("image/png", "png");
        MIME_MAPPING.put("image/gif", "gif");
        MIME_MAPPING.put("image/tiff", "tif");
        MIME_MAPPING.put("image/vnd.wap.wbmp", "wbmp");
        MIME_MAPPING.put("image/x-icon", "ico");
        MIME_MAPPING.put("image/x-jng", "jng");
        MIME_MAPPING.put("image/x-ms-bmp", "bmp");
        MIME_MAPPING.put("image/svg+xml", "svg");
        MIME_MAPPING.put("image/webp", "webp");
    }

    public static String getSuffixByMime(String mime) {
        return MIME_MAPPING.get(mime);
    }
}
