package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 游戏角色
 *
 * @author : xufeng
 * @time : 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameUserRoleUpdateParam extends CommonParam {

    @ApiModelProperty("游戏服务器id,默认为0")
    private String serverId;

    @ApiModelProperty("所在服务器名称")
    private String serverName;

    @ApiModelProperty("角色id")
    private String roleId;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("角色等级")
    private Long roleLevel;

    @ApiModelProperty("角色VIP")
    private Long roleVipLevel;

    @ApiModelProperty("玩家角色战力")
    private Long rolePower;

    @ApiModelProperty("平台币余额")
    private BigDecimal platformCoin;

    @ApiModelProperty("充值金额")
    private BigDecimal rechargeMoney;

    @ApiModelProperty("充值次数")
    private Integer rechargeCount;

    @ApiModelProperty("最近充值时间")
    private LocalDateTime lastRechargeTime;

    @ApiModelProperty("扩展信息")
    private String ext;

    @ApiModelProperty("游戏区服id")
    private Long regionalId;

    @ApiModelProperty("游戏区服名称")
    private String regionalName;

    @ApiModelProperty("角色最后登录时间")
    private LocalDateTime lastLoginTime;
}
