package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 游戏用户创建
 *
 * @author : xufeng
 * @time : 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameUserUpdateParam extends CommonParam {

    @ApiModelProperty("所属渠道ID")
    private Long agentId;

    @ApiModelProperty("导量的渠道ID")
    private Long guidedAgentId;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("最近默认 2 默认 1 不默认")
    private Boolean isDefault;

    @ApiModelProperty("状态 2正常 1锁定")
    private Boolean status;

    @ApiModelProperty("是否GS")
    private Boolean isGs;

    @ApiModelProperty("客服id")
    private Long customerId;

    @ApiModelProperty("创角数")
    private Integer roleCount;

    @ApiModelProperty("拥有角色最高vip等级")
    private Integer roleVipMax;

    @ApiModelProperty("最后玩时间")
    private LocalDateTime updateTime;
}
