package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class PlatformOrderParam {

    private String id;

    @ApiModelProperty("cpId")
    private String cpId;

    @ApiModelProperty("CP订单号")
    private String cpOrderId;

    @ApiModelProperty("充值用户")
    private String userId;

    @ApiModelProperty("游戏玩家ID")
    private String mgUserId;

    @ApiModelProperty("角色id")
    private String roleId;

    @ApiModelProperty("游戏ID")
    private String gameId;

    @ApiModelProperty("货物总价")
    private BigDecimal amount;

    @ApiModelProperty("实际支付金额")
    private BigDecimal realAmount;

    @ApiModelProperty("游戏商品ID")
    private String productId;

    @ApiModelProperty("游戏商品数量")
    private Integer productCnt;

    @ApiModelProperty("游戏商品名称")
    private String productName;

    @ApiModelProperty("优惠券抵扣")
    private BigDecimal couponAmount;

    @ApiModelProperty("平台币使用金额")
    private BigDecimal ptbAmount;

    @ApiModelProperty("游戏币使用余额")
    private BigDecimal gmAmount;

    @ApiModelProperty("使用积分")
    private Integer integral;

    @ApiModelProperty("使用积分抵多少钱")
    private BigDecimal integralMoney;

    @ApiModelProperty("返利数量 默认为0")
    private BigDecimal rebateAmount;

    @ApiModelProperty("支付平台返回交易订单号")
    private String merchantOrderNo;

    @ApiModelProperty("支付状态，1待支付，2 支付成功，-1 已取消")
    private Integer status;

    @ApiModelProperty("支付方式")
    private String gamePaywayId;

    @ApiModelProperty("支付时间")
    private Date payTime;

    @ApiModelProperty("通知次数")
    private Integer cpNotifyCnt;

    @ApiModelProperty("最近通知时间")
    private Long lastCpNotifyTime;

    @ApiModelProperty("客服处理： 2正常； 1纠纷")
    private Integer isHandle;

    @ApiModelProperty("是否已分成  1未分成 2 已分成")
    private Integer isDistribute;

    @ApiModelProperty("CP通知状态，1为待处理，2为成功，-1为失败")
    private Integer cpStatus;

    @ApiModelProperty("CP附加参数")
    private String ext;

    @ApiModelProperty("用户备注")
    private String memNote;

    @ApiModelProperty("管理员备注")
    private String adminNote;

    @ApiModelProperty("订单成功备注信息")
    private String remark;

    @ApiModelProperty("渠道")
    private String channel;

}
