package com.zanxiang.sdk.domain.params;

import com.zanxiang.common.enums.OsEnum;
import com.zanxiang.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author : xufeng
 * @time : 2022-06-20
 * @description : 用户信息
 */
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class UserData implements Serializable {

    /**
     * 玩家id
     */
    private Long userId;


    /**
     * 设备类型;
     */
    private Integer deviceType;

    /**
     * 设备类型(android / ios)
     */
    private String deviceSystem;

    public Long getUserId() {
        if (userId == null) {
            return 1L;
        }
        return userId;
    }

    public Integer getDeviceType() {
        if (deviceType == null) {
            return 1;
        }
        return deviceType;
    }

    public String getDeviceSystem() {
        if (StringUtils.isEmpty(deviceSystem)) {
            return OsEnum.SYSTEM_OTHER.getOs();
        }
        return deviceSystem;
    }
}
