package com.zanxiang.sdk.service;

import com.zanxiang.common.domain.MiPayConfig;
import com.zanxiang.sdk.common.miPay.RequestParam;

/**
 * 米大师支付服务
 *
 * @author xufeng
 * @date 2022-07-14
 */
public interface MiPayService {

    /**
     * 虚拟币扣除
     *
     * @param orderId 订单号
     * @param userId  玩家id
     * @return
     */
    Boolean midasPay(Long userId, String orderId);


    /**
     * 扣除取消
     *
     * @param orderId 订单号
     * @param userId  玩家id
     * @return
     */
    Boolean midasCancelPay(Long userId, String orderId);

    /**
     * 钱包余额查询
     *
     * @param orderId 订单号
     * @param userId  玩家id
     * @return
     */
    Boolean midasGetBalance(Long userId, String orderId);

    /**
     * 米大师赠送
     *
     * @param userId
     * @param orderId
     * @param presentCounts
     * @return
     */
    Boolean midasPresent(Long userId, String orderId, Integer presentCounts);

    /**
     * 米大师配置
     *
     * @param gameId 游戏id
     * @return
     */
    MiPayConfig midasConfig(Long gameId);

    /**
     * 米大师通过参数生成
     *
     * @param gameId 游戏id
     * @param userId 玩家id
     * @return
     */
    RequestParam getCommonParam(Long gameId, String userId);

}
