package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.mybatis.entity.User;
import com.zanxiang.sdk.common.annotation.ValidLogin;
import com.zanxiang.sdk.domain.dto.UserDTO;
import com.zanxiang.sdk.domain.params.UpdatePasswordParam;
import com.zanxiang.sdk.domain.params.UserCheckParam;
import com.zanxiang.sdk.domain.params.UserData;
import com.zanxiang.sdk.domain.params.UserDetailParam;
import com.zanxiang.sdk.domain.vo.UserVO;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 用户信息
 */
public interface UserService extends IService<User> {

    /**
     * 用户重置密码
     *
     * @param updatePasswordParam : 修改密码的参数
     * @param userData            : userData
     * @return : 返回修改结果
     */
    ResultVo<Boolean> updatePassword(UpdatePasswordParam updatePasswordParam, UserData userData);

    /**
     * 获取用户信息
     *
     * @param userDetailParam : 用户详情参数
     * @param userData        : userData
     * @return : 返回用户信息
     */
    ResultVo<UserVO> getUserDetail(UserDetailParam userDetailParam, UserData userData);

    /**
     * 根据手机号获取用户信息
     *
     * @param mobile : 用户手机号
     * @return : 返回用户信息
     */
    UserDTO getUserInfoByMobile(String mobile);


    /**
     * cp用户登录检测
     *
     * @param param    检测参数
     * @param userData userData
     * @return boolean
     */
    Boolean userCheck(UserCheckParam param, UserData userData);

}
